/*
  * Copyright (C) 2012 Cameron White
  *
  * This program is free software: you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
  * the Free Software Foundation, either version 3 of the License, or
  * (at your option) any later version.
  *
  * This program is distributed in the hope that it will be useful,
  * but WITHOUT ANY WARRANTY; without even the implied warranty of
  * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  * GNU General Public License for more details.
  *
  * You should have received a copy of the GNU General Public License
  * along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <doctest/doctest.h>

#include <actions/removebarline.h>
#include <score/score.h>
#include <score/system.h>

TEST_CASE("Actions/RemoveBarline")
{
    Score score;
    System system;

    ScoreLocation location(score, 0, 0, 6);
    Barline barline(6, Barline::SingleBar);
    system.insertBarline(barline);
    score.insertSystem(system);

    RemoveBarline action(location);

    action.redo();
    REQUIRE(location.getSystem().getBarlines().size() == 2);

    action.undo();
    REQUIRE(location.getSystem().getBarlines().size() == 3);
    REQUIRE(location.getSystem().getBarlines()[1] == barline);
}
